import request from '@/utils/request'

// 查询辅助指标分类列表
export function listQUOTA(query) {
  return request({
    url: '/business/QUOTA/list',
    method: 'get',
    params: query
  })
}

// 查询辅助指标分类所有列表
export function listAllQUOTA(query) {
  return request({
    url: '/business/QUOTA/listAll',
    method: 'get',
    params: query
  })
}

// 查询辅助指标分类详细
export function getQUOTA(id) {
  return request({
    url: '/business/QUOTA/getInfo/' + id,
    method: 'get'
  })
}

// 新增辅助指标分类
export function addQUOTA(data) {
  return request({
    url: '/business/QUOTA/add',
    method: 'post',
    data: data
  })
}

// 修改辅助指标分类
export function updateQUOTA(data) {
  return request({
    url: '/business/QUOTA/edit',
    method: 'post',
    data: data
  })
}

// 删除辅助指标分类
export function delQUOTA(id) {
  return request({
    url: '/business/QUOTA/remove/' + id,
    method: 'get'
  })
}
